package weather

import (
	"time"
)

// Stable intermediate struct containing superset of fields
// between AWN and Wunderground style updates from Ambient devices
type WeatherUpdate struct {
	DateUTC           *time.Time
	StationType       string
	TempF             float32
	TempInsideF       float32
	Humidity          int
	HumidityInside    int
	WindSpeedMPH      float32
	WindGustMPH       float32
	MaxDailyGust      float32
	WindDir           int
	WindDirAVG10m     int
	UV                int
	SolarRadiation    float32
	HourlyRainIn      float32
	EventRainIn       float32
	DailyRainIn       float32
	WeeklyRainIn      float32
	MonthlyRainIn     float32
	YearlyRainIn      float32
	TotalRainIn       float32
	BattOutdoorSensor int
	BattIndoorSensor  int
	BattRainSensor    int
	BaromRelativeIn   float32
	BaromAbsoluteIn   float32
	// These fields may be calculated
	// if not otherwise set
	DewPointF  float32
	WindChillF float32
}
